Skip to main content
POST
/
v2
/
organizations
/
{entityId}
/
documents
/
{documentId}
/
analyses
/
{analysisId}
/
confirm
Confirm a trust analysis result for a document
curl --request POST \
  --url https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses/{analysisId}/confirm \
  --header 'Content-Type: application/json' \
  --header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
  --header 'api_key: <api-key>' \
  --data '
{
  "references": {}
}
'
{
  "requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
  "analysis": {
    "analysisId": "01K3G4CCQ3DY3B1413S19M9QW1",
    "attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isConfirmed": true,
    "documentInformation": {
      "type": "TRUST_DOCUMENT",
      "trust": {
        "name": {
          "value": "<string>",
          "referenceIds": [
            "<string>"
          ]
        },
        "establishment": {
          "date": {
            "year": "1990",
            "month": "03",
            "day": "27",
            "unstructured": "12 Rajab 1445 AH",
            "type": "GREGORIAN",
            "normalized": "1990-03-31",
            "referenceIds": [
              "<string>"
            ]
          },
          "country": {
            "value": "<string>",
            "referenceIds": [
              "<string>"
            ]
          },
          "subdivision": {
            "value": "<string>",
            "referenceIds": [
              "<string>"
            ]
          }
        },
        "certification": {
          "date": {
            "year": "1990",
            "month": "03",
            "day": "27",
            "unstructured": "12 Rajab 1445 AH",
            "type": "GREGORIAN",
            "normalized": "1990-03-31",
            "referenceIds": [
              "<string>"
            ]
          }
        },
        "execution": {
          "date": {
            "year": "1990",
            "month": "03",
            "day": "27",
            "unstructured": "12 Rajab 1445 AH",
            "type": "GREGORIAN",
            "normalized": "1990-03-31",
            "referenceIds": [
              "<string>"
            ]
          }
        },
        "linkedIndividuals": {},
        "linkedOrganizations": {},
        "linkedUnknownEntities": {},
        "settlors": [
          {
            "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "referenceIds": [
              "<string>"
            ]
          }
        ],
        "trustees": [
          {
            "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "referenceIds": [
              "<string>"
            ]
          }
        ],
        "type": {},
        "typeInformation": {
          "discretionary": {
            "specifiedBeneficiaries": [
              {
                "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "referenceIds": [
                  "<string>"
                ]
              }
            ],
            "generalBeneficiaries": [
              {
                "value": "<string>",
                "referenceIds": [
                  "<string>"
                ]
              }
            ],
            "appointors": [
              {
                "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "referenceIds": [
                  "<string>"
                ]
              }
            ],
            "protectors": [
              {
                "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "referenceIds": [
                  "<string>"
                ]
              }
            ]
          }
        }
      }
    },
    "references": {},
    "errors": [
      {
        "errorCode": "<string>",
        "errorMsg": "<string>",
        "details": [
          {
            "issue": "<string>",
            "issueLocation": "<string>",
            "issueType": "<string>"
          }
        ]
      }
    ]
  }
}

Authorizations

api_key
string
header
required

Headers

api_key
string
required

Your API key provided by FrankieOne

Example:

"245c765b124a098d09ef8765...."

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-Channel
string

Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.

X-Frankie-Username
string

Username provided by API caller

Example:

"fred.flintstone@frankieone.com"

Path Parameters

entityId
string
required

Unique FrankieOne identifier for an entity

documentId
string
required

Unique identifier for a document

analysisId
string<ulid>
required

Unique identifier of the trust analysis result being confirmed. An identifier to uniquely identify a specific instance of analysis.

Example:

"01K3G4CCQ3DY3B1413S19M9QW1"

Body

application/json

Document information with references

references
object
documentInformation
object

Response

OK

requestId
string
required

The unique request identifier for the API call made.

Example:

"01HN9XHZN6MGXM9JXG50K59Q85"

analysis
object

A single trust analysis result for a document, derived from a TRUST_ANALYSIS Process Result Object (PRO).